Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util
Class ExceptionUtils

    java.lang.Object
      org.apache.tomcat.util.ExceptionUtils

    public class ExceptionUtils

extends java.lang.Object

Utilities for handling Throwables and Exceptions.

Constructor Summary
`ExceptionUtils()`

Method Summary
`static void` | `handleThrowable(java.lang.Throwable t)` Checks whether the supplied Throwable is one that needs to be rethrown and swallows all others.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionUtils

    public ExceptionUtils()

Method Detail

### handleThrowable

    public static void handleThrowable(java.lang.Throwable t)

  Checks whether the supplied Throwable is one that needs to be rethrown and swallows all others.

  Parameters:
    `t` - the Throwable to check

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.